UISpacer (RichFaces JSF components library 3.1.2.GA API)
Keywords: org.richfaces.component.UISpacer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UISpacer

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UISpacer

All Implemented Interfaces:
  javax.faces.component.StateHolder

Direct Known Subclasses:
  HtmlSpacer

    public abstract class UISpacer

extends javax.faces.component.UIComponentBase

JSF component class

Constructor Summary
`UISpacer()`

Method Summary
`abstract java.lang.String` | `getHeight()`
`abstract java.lang.String` | `getStyle()`
`abstract java.lang.String` | `getWidth()`
`abstract void` | `setHeight(java.lang.String string)`
`abstract void` | `setStyle(java.lang.String string)`
`abstract void` | `setWidth(java.lang.String string)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`getFamily`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UISpacer

    public UISpacer()

Method Detail

### setWidth

    public abstract void setWidth(java.lang.String string)

### getWidth

    public abstract java.lang.String getWidth()

### setHeight

    public abstract void setHeight(java.lang.String string)

### getHeight

    public abstract java.lang.String getHeight()

### setStyle

    public abstract void setStyle(java.lang.String string)

### getStyle

    public abstract java.lang.String getStyle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.